Error with plugins installation

Added by Fabien Carpentier over 8 years ago

Hi,

I have a problem during a plugin installation.
The plugin is Charts. But I have the same problem with others plugins, like for example Graphs.

I use :

- Redmine 0.8.0.stable.2522
- Open BSD 4.1
- MySQL 5.0.33

I follow instructions, I copy plugin in /vendor/plugins..

I reboot, and when I launch Redmine I have this message :

Internal error

An error occurred on the page you were trying to access.
If you continue to experience problems please contact your redMine administrator for assistance.

Back

Thanks.

Replies (13)

RE: Error with plugins installation - Added by Hans Kazan over 8 years ago

Hi,

You should look into the log directory of your Redmine install.
There is a log file (production.log maybe?) with more and better information what is wrong.

RE: Error with plugins installation - Added by Fabien Carpentier over 8 years ago

Yes, it's production.log.

I've got this :

_ ActionView::TemplateError (Missing host to link to! Please provide :host parameter or set default_url_options[:host]) on line #7 of issues/_sidebar.rhtml:
4: <%= link_to l(:field_summary), :controller => 'reports', :action => 'issue_report', :id => @project ><br />
5: <
= link_to l(:label_change_log), :controller => 'projects', :action => 'changelog', :id => @project ><br />
6: <
end >
7: <
= call_hook(:view_issues_sidebar_issues_bottom) >
8:
9: <
planning_links = []
10: planning_links << link_to(l(:label_calendar), :action => 'calendar', :project_id => @project) if User.current.allowed_to?(:view_calendar, @project, :gl$

/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/url_rewriter.rb:61:in `url_for'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/helpers/url_helper.rb:197:in `link_to'
vendor/plugins/redmine_graphs/Graphs/lib/issues_sidebar_graph_hook.rb:6:in `view_issues_sidebar_issues_bottom'
lib/redmine/hook.rb:60:in `send'
lib/redmine/hook.rb:60:in `call_hook'
lib/redmine/hook.rb:59:in `each'
lib/redmine/hook.rb:59:in `call_hook'
lib/redmine/hook.rb:104:in `call_hook'
app/views/issues/_sidebar.rhtml:7:in `_run_erb_47app47views47issues47_sidebar46rhtml'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/base.rb:342:in `send'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/base.rb:342:in `execute'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/template_handlers/compilable.rb:29:in `send'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/template_handlers/compilable.rb:29:in `render'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/partial_template.rb:20:in `render'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:30:in `benchmark'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/partial_template.rb:19:in `render'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/template.rb:22:in `render_template'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/partials.rb:110:in `render_partial'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/base.rb:277:in `render'
app/views/issues/index.rhtml:56:in `_run_erb_47app47views47issues47index46rhtml'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/helpers/capture_helper.rb:141:in `call'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/helpers/capture_helper.rb:141:in `capture_erb_with_buffer'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/helpers/capture_helper.rb:44:in `capture'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/helpers/capture_helper.rb:125:in `content_for'
app/helpers/application_helper.rb:589:in `content_for'
app/views/issues/index.rhtml:55:in `_run_erb_47app47views47issues47index46rhtml'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/base.rb:342:in `send'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/base.rb:342:in `execute'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/template_handlers/compilable.rb:29:in `send'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/template_handlers/compilable.rb:29:in `render'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/template.rb:35:in `render'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/template.rb:22:in `render_template'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/base.rb:248:in `render_file'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1112:in `render_for_file'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:872:in `render_with_no_layout'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/layout.rb:251:in `render_without_benchmark'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:51:in `render'
/usr/local/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/core_ext/benchmark.rb:8:in `realtime'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:51:in `render'
app/controllers/issues_controller.rb:67:in `index'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:131:in `call'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:131:in `custom'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:160:in `call'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:160:in `respond'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:154:in `each'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:154:in `respond'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:107:in `respond_to'
app/controllers/issues_controller.rb:66:in `index'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1166:in `send'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1166:in `perform_action_without_filters'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:579:in `call_filters'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:572:in `perform_action_without_benchmark'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'
/usr/local/lib/ruby/1.8/benchmark.rb:293:in `measure'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/rescue.rb:201:in `perform_action_without_caching'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/caching/sql_cache.rb:13:in `perform_action'
/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in `cache'
/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/query_cache.rb:8:in `cache'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/caching/sql_cache.rb:12:in `perform_action'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in `send'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in `process_without_filters'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:568:in `process_without_session_management_support'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/session_management.rb:130:in `process'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:389:in `process'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:149:in `handle_request'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:107:in `dispatch'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:104:in `synchronize'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:104:in `dispatch'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:120:in `dispatch_cgi'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:35:in `dispatch'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel/rails.rb:76:in `process'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel/rails.rb:74:in `synchronize'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel/rails.rb:74:in `process'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:159:in `process_client'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:158:in `each'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:158:in `process_client'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:285:in `run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:285:in `initialize'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:285:in `new'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:285:in `run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:268:in `initialize'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:268:in `new'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:268:in `run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel/configurator.rb:282:in `run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel/configurator.rb:281:in `each'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel/configurator.rb:281:in `run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:128:in `run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel/command.rb:212:in `run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:281
/usr/local/bin/mongrel_rails:19:in `load'
/usr/local/bin/mongrel_rails:19_

I have no idea..

RE: Error with plugins installation - Added by Nanda P over 8 years ago

did you run the following command..

rake db:migrate_plugins RAILS_ENV=production

If yes, did you get any error?

RE: Error with plugins installation - Added by Fabien Carpentier over 8 years ago

Thanks Nanda.

I ran this command. But, I've got the same error in production.log.

Actually, on Redmine, when I click on "Issues" I've got this error :
_Internal error

An error occurred on the page you were trying to access.
If you continue to experience problems please contact your redMine administrator for assistance.

Back_

RE: Error with plugins installation - Added by Nanda P over 8 years ago

Try to remove the plugin(s) which you think causing this problem.

Run the rake commands & restart the web server. if it works, deploy one plug-in at a time.

Also make sure you have the latest plug-in releases..

Regards,
Nanda

RE: Error with plugins installation - Added by Fabien Carpentier over 8 years ago

Thanks for helping me.

I tried, but it dosen't work.. for plugin Charts & Graphs..
Is there something to install?

RE: Error with plugins installation - Added by Nanda P over 8 years ago

You have to have OpenFlashChart plugin Installed to use chart..

Check the following link:

http://github.com/mszczytowski/redmine_charts/tree/master

$ ./script/plugin install git://github.com/pullmonkey/open_flash_chart.git

RE: Error with plugins installation - Added by Fabien Carpentier over 8 years ago

It's already installed.

A precision, when I make the command rake, I've got this :

(in /var/redmine)
  • Invoke db:migrate_plugins (first_time)
  • Invoke environment (first_time)
  • Execute environment
    rake aborted!
    uninitialized constant Redmine::I18n

RE: Error with plugins installation - Added by Nanda P over 8 years ago

That means rake didn't go well.

Can you post the output for the following command.

ruby script\about

Here is my output, I have both chart & graph working for me..

C:\Program Files\redmine\current>ruby script\about
About your application's environment
Ruby version              1.8.6 (i386-mswin32)
RubyGems version          1.3.1
Rails version             2.2.2
Active Record version     2.2.2
Action Pack version       2.2.2
Active Resource version   2.2.2
Action Mailer version     2.2.2
Active Support version    2.2.2
Application root          C:/Program Files/redmine/current
Environment               development
Database adapter          mysql
Database schema version   20090623194413

About your Redmine plugins
Redmine Schedules plugin             0.4.2
Redmine Graphs plugin                0.1.0
Timesheet Plugin                     0.5.0
Redmine Exception Handler plugin     0.2.0
Bulk Time Entry                      0.3.0
Stuff To Do Plugin                   0.3.0
Markdown Extra formatter             0.0.2
Redmine Question plugin              0.3.0
Redmine Hudson plugin                0.1.5
Google Calendar Plugin               0.1.2
Redmine Task Board plugin            1.0.0
Redmine Status Updates               0.1.1
ezFAQ plugin                         0.3.3
Charts Plugin                        0.0.13
Redmine System Notification plugin   0.2.0
Redmine Blogs plugin                 0.0.4

C:\Program Files\redmine\current>

Also takeout both graph & chart plugins(remove from vendor\plugins folder) and try to rake

Regards,
Nanda

RE: Error with plugins installation - Added by Mischa The Evil over 8 years ago

Just my two cents on this:

Fabien Carpentier wrote:

A precision, when I make the command rake, I've got this :

(in /var/redmine)
** Invoke db:migrate_plugins (first_time)
** Invoke environment (first_time)
** Execute environment
rake aborted!
uninitialized constant Redmine::I18n

This seems to be a problem with a plugin which seems not to be compatible with Redmine 0.8.0 at least. It tries to call the Redmine::I18n module which isn't available in Redmine 0.8.x due to the fact that 0.8.x uses Gloc instead of Rails I18n.

Can you give a list of plugins (and versions) you are using?

Regards,

Mischa.

RE: Error with plugins installation - Added by Fabien Carpentier over 8 years ago

Thanks.

Nanda :

With your command, I've got this :

/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/vendor/mysql.rb:107:in `initialize': No such file or directory - /tmp/mysql.sock (Errno::ENOENT)
from /usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/vendor/mysql.rb:107:in `new'
from /usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/vendor/mysql.rb:107:in `real_connect'
from /usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/mysql_adapter.rb:527:in `connect'
from /usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/mysql_adapter.rb:186:in `initialize'
from /usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/mysql_adapter.rb:85:in `new'
from /usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/mysql_adapter.rb:85:in `mysql_connection'
from /usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/connection_specification.rb:292:in `send'
from /usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/connection_specification.rb:292:in `connection='
from /usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/connection_specification.rb:260:in `retrieve_connection'
from /usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/connection_specification.rb:78:in `connection'
from /var/redmine/vendor/plugins/redmine_charts/lib/redmine_charts/date_format.rb:4
from /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:216:in `load_without_new_constant_marking'
from /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:216:in `load_file'
from /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:355:in `new_constants_in'
from /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:215:in `load_file'
from /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:96:in `require_or_load'
from /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:61:in `depend_on'
from /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:457:in `require_dependency'
from /var/redmine/vendor/plugins/redmine_charts/init.rb:5:in `evaluate_init_rb'
from /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/rails/plugin.rb:95:in `evaluate_init_rb'
from /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/core_ext/kernel/reporting.rb:11:in `silence_warnings'
from /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/rails/plugin.rb:91:in `evaluate_init_rb'
from /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/rails/plugin.rb:44:in `load'
from /var/redmine/config/../vendor/plugins/engines/lib/engines/plugin.rb:77:in `load'
from /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/rails/plugin/loader.rb:33:in `load_plugins'
from /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/rails/plugin/loader.rb:32:in `each'
from /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/rails/plugin/loader.rb:32:in `load_plugins'
from /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/initializer.rb:292:in `load_plugins'
from /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/initializer.rb:142:in `process'
from /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/initializer.rb:97:in `send'
from /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/initializer.rb:97:in `run'
from /var/redmine/config/environment.rb:20
from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'
from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
from /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/commands/about.rb:1
from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'
from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
from ./about:3

Misha :

Now, I'm at revision 2815. I have always the same error message..
And I have only the plugin Charts.

RE: Error with plugins installation - Added by Fabien Carpentier over 8 years ago

Where can I find the I18n module?

RE: Error with plugins installation - Added by Mischa The Evil over 8 years ago

Fabien Carpentier wrote:

/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/vendor/mysql.rb:107:in `initialize': No such file or directory - /tmp/mysql.sock (Errno::ENOENT)

See the FAQ.

Fabien Carpentier wrote:

Now, I'm at revision 2815.

Which branch? source:/branches/0.8-stable or source:/trunk? See also CheckingoutRedmine.

Fabien Carpentier wrote:

And I have only the plugin Charts.

Ok, which version?

Fabien Carpentier wrote:

Where can I find the I18n module

Simply said, you can't if you run Redmine 0.8.x (which uses Rails 2.1.2, which itself doesn't support i18n natively). Starting from Rails 2.2.x i18n is supported and Redmine uses (requires) Rails 2.2.2 starting from a while ago in the development version (trunk) only. This means that Redmine 0.9.x will require Rails 2.2.2 while Redmine 0.8.x keeps requireing 2.1.2.

Regards,

Mischa.

(1-13/13)